/*
 * @(#)FByte.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */

package jp.co.iti.fagot.fob;

/**
 * Byte
 * @author  千曳秀喜
 * @version 1.01 2001/01/07
 */
public class FByte extends FElement {

	/**
	 * コンストラクタ
	 */
	public FByte() {
	super();
	}

	/**
	 * コンストラクタ
	 */
	public FByte(byte data) {
	super( new FByte(data) );
	}

	/**
	 * コンストラクタ
	 */
	public FByte(Byte data) {
	super(data);
	}

	/**
	 * コンストラクタ
	 */
	public FByte(FByte data) {
	super();
	set(data);
	}

	/**
	 * 値の取得
	 */
	public byte get() {
	return ( (isNull())?0:((Byte)getData()).byteValue() ) ;
	}

	/**
	 * 値の設定
	 */
	public void set(byte data) {
	setData( new Byte(data) ) ;
	}

	/**
	 * 値の設定
	 */
	public void set(FByte data) {
	setData( data.getData() ) ;
	}

	//## CLONE ########################################################
	/**
	 * 複製インスタンスの作成
	 * 各実現クラスにおいてインスタンスを生成する
	 * 仮想クラス（およびインスタンス化されないクラス）ではnullを返す
	 */
	public Object createClone() {
	return new FByte();
	}
}
